## com.google.appengine.api.datastore
Interface QueryResultList<T>

Type Parameters:
  `T` - the type of result returned by the query

All Superinterfaces:
  java.util.Collection<T>, java.lang.Iterable<T>, java.util.List<T>

    public interface QueryResultList<T>

extends java.util.List<T>

A list of results returned by executing a `Query`.

Method Summary
`Cursor` `getCursor()` Gets a `Cursor` that points to the result immediately after the last one in this list.
`java.util.List<Index>` `getIndexList()` Get the indexes used to perform the query.

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### getIndexList

    java.util.List<Index> getIndexList()

  Get the indexes used to perform the query.

  Returns:
    A list of index references, with no duplicates, or `null` if the indexes are not known.

### getCursor

    Cursor getCursor()

  Gets a `Cursor` that points to the result immediately after the last one in this list.

  Returns:
    a `Cursor` or `null` if this query result cannot be resumed